std::error_category::equivalent(3)

NAME
std::error_category::equivalent - std::error_category::equivalent

Synopsis
   virtual bool equivalent( int code, (1) (since C++11)
   const std::error_condition& condition ) const noexcept;
   virtual bool equivalent( const std::error_code& code, (2) (since C++11)
   int condition ) const noexcept;
   Checks whether error code is equivalent to an error condition for the error category
   represented by *this.
   1) Equivalent to default_error_condition(code) == condition.
   2) Equivalent to *this == code.category() && code.value() == condition.

Parameters
   code - specifies the error code to compare
   condition - specifies the error condition to compare

Return value
   true if the error code is equivalent to the given error condition for the error
   category represented by *this, false otherwise.